<template>
<div class="container">
  <h1> Registration Page </h1>
    <br />
    <br />
    <div class="row">
      <div class="col-md-3">

      </div>
      <div class="col-md-6">

        <!-- <form> -->
          <div class="form-group">
            <label for="fullname">Full Name</label>
            <input type="text" class="form-control" id="fullname" required aria-describedby="emailHelp">
          </div>

    <div class="form-group">
      <label for="email">Email address</label>
      <input type="email" class="form-control" id="email" v-model="email" required aria-describedby="emailHelp">
    </div>
    <div class="form-group">
      <label for="exampleInputPassword1">Password</label>
      <input type="password" class="form-control" id="password" v-model="password" required>
      <div v-if="password.length < 6" class="text-danger"> Password is too short </div>
    </div>
    <div class="form-group">
      <label for="confirmpassword">Confirm Password</label>
      <input type="password" class="form-control" id="confirmpassword" v-model="confirmpassword" required>
    </div>
<div v-if=" password !=confirmpassword" class="text-danger">Passwords do not match</div>
<br />
    <button type="submit" class="btn btn-primary">Login</button>
  <!-- </form> -->


      </div>
      <div class="col-md-3">

      </div>
    </div>

  </div>

</template>

<script>
export default {
name: "register",
data(){
  return{
    email: "",
    password: "",
    confirmpassword: "",
  }
},
methods: {
  register: function(){
    console.log("Email: " + this.email);
  }
}
}
</script>

<style scoped>

</style>
